System.ServiceModel 4.0.0.0 System.ServiceModel.WSHttpBinding

The class adds a system-provided binding similar to but uses the Organization for the Advancement of Structured Information Standards (OASIS) standard versions of the , , and protocols. No changes to the object model or default settings are required when using this binding.

Represents an interoperable binding that derives from and provides support for the updated versions of the , , and binding elements.

- Constructor
  4.0.0.0

  This constructor initializes an instance of the class and sets the , , and properties that specify the WS-Security 1.1, WS-Trust 1.3, WS-SecureConversation 1.3, WS-SecurityPolicy 1.2, and WS-I Basic Security Profile 1.0 security protocols.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with a specified type of security used by the binding.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with a binding specified by its configuration name.

- Constructor
  4.0.0.0
  To be added.

  This constructor initializes an instance of the class and sets the , , and properties that specify the WS-Security 1.1, WS-Trust 1.3, WS-SecureConversation 1.3, WS-SecurityPolicy 1.2, and WS-I Basic Security Profile 1.0 security protocols.

  Initializes a new instance of the class with a specified type of security used by the binding and a value that indicates whether a reliable session is enabled.

  true if a reliable session is enabled; otherwise, false.